tebarDocs
GuideDevelopersAPI ReferenceChangelog
Connect

Allow a redirect origin

POST
/v1/connect/redirect-origins

Scheme and host (and port), e.g. https://app.example.com; at most 20.

Requires the write scope. Owner key or session only: a profile key gets 403 owner_key_required.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Request Body

application/json
  1. body
origin*string
Length1 <= length <= 300

Response Body

Already allowed.

application/json
  1. response
id*string
Formatuuid
origin*string
created_at*string
Formatdate-time
Example Request
curl -X POST 'https://api.tebar.app/v1/connect/redirect-origins' \
  -H 'Content-Type: application/json' \
  -d '{
  "origin": "string"
}'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "origin": "string",
  "created_at": "2019-08-24T14:15:22Z"
}